<?php
ob_start(); //start output buffering needs to be first line of script


//check to see if logged in //

//require '../check_login.php';


function mysqldump($user,$pass,$host,$name,$tables)
{
	
	$return = ""; //you were trying to assign a .= to a veriable that was not init
	
	$con = mysqli_connect($host,$user,$pass);
	mysqli_select_db($con,$name);

	//get all of the tables
	if($tables == '*')
	{
		$tables = array();
		$query = 'SHOW TABLES';
		

		$result = mysqli_query($con,$query);
		while($row = mysqli_fetch_array($result))
		{
			$tables[] = $row[0];
		}
	}
	else
	{
		$tables = is_array($tables) ? $tables : explode(',',$tables);
	}

	//cycle through
	foreach($tables as $table)
	{
		$result = mysqli_query($con,'SELECT * FROM '.$table);
		$num_fields = mysqli_num_fields($result);
		
		$return.= 'DROP TABLE '.$table.';';
		$row2 = mysqli_fetch_row(mysqli_query($con,'SHOW CREATE TABLE '.$table));
		$return.= "\n\n".$row2[1].";\n\n";
		
		for ($i = 0; $i < $num_fields; $i++) 
		{
			while($row = mysqli_fetch_row($result))
			{
				$return.= 'INSERT INTO '.$table.' VALUES(';
				for($j=0; $j<$num_fields; $j++) 
				{
					$row[$j] = addslashes($row[$j]);
					$row[$j] = preg_replace("#\n#", "\\n", $row[$j]);
					if (isset($row[$j])) { $return.= '"'.$row[$j].'"' ; } else { $return.= '""'; }
					if ($j<($num_fields-1)) { $return.= ','; }
				}
				$return.= ");\n";
			}
		}
		$return.="\n\n\n";
	}

	echo( $return );	

	$var = ob_get_contents(); //this assigns the contents of the buffer to a string variable for later use
	ob_end_clean(); //this gets rid of the buffer from memory

	//save file
	$filename = 'db-backup-' .date("m-d-Y-h-m-s") . ".sql";
	$handle = fopen($filename,'w+');
	fwrite($handle,$return);
	fclose($handle);
	header( 'Content-Type: application/octet-stream' );
	header( "Pragma: public" );
	header( "Expires: 0" );
	header( "Cache-Control: must-revalidate, post-check=0, pre-check=0" );
	header( "Content-Type: text/x-sql" );
	header( "Content-Disposition: attachment; filename=" .$filename);

}

$u = ""; //db username
$p = ""; //db password
$h = ""; //db host
$db = ""; //dbname
$tables = '*'; // set to * for whole DB or list inidivudal tables separated by comma i.e. 'table1,table2,table3'

mysqldump($u,$p,$h,$db,$tables);

?>